CollectionUtils (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.util
[Java] Class CollectionUtils

    java.lang.Object
      griffon.util.CollectionUtils

    public final class CollectionUtils
    extends Object

Utility class that simplifies creating collections in Java.

Creating Maps

     Map m = map()
         .e("foo", foo)
         .e("bar", bar);

Creating Lists

     List l = list()
         .e("foo")
         .e("bar");

Creating Maps

     Set s = set()
         .e("foo")
         .e("bar");

Authors:
  Andres Almiray

Since:
  0.9.4

Nested Class Summary
`static class` | `CollectionUtils.ListBuilder`
`static class` | `CollectionUtils.MapBuilder`
`static class` | `CollectionUtils.SetBuilder`

Constructor Summary
`CollectionUtils()`

Method Summary
`static CollectionUtils.ListBuilder` | `list()`
`static CollectionUtils.ListBuilder` | `list(List delegate)`
`static CollectionUtils.MapBuilder` | `map()`
`static CollectionUtils.MapBuilder` | `map(Map delegate)`
`static List` | `newList(Object... values)`
`static Map` | `newMap(Object... keysAndValues)`
`static Set` | `newSet(Object... values)`
`static CollectionUtils.SetBuilder` | `set()`
`static CollectionUtils.SetBuilder` | `set(Set delegate)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### CollectionUtils

    CollectionUtils()

Method Detail

### list

    public static CollectionUtils.ListBuilder list()

### list

    public static CollectionUtils.ListBuilder list(List delegate)

### map

    public static CollectionUtils.MapBuilder map()

### map

    public static CollectionUtils.MapBuilder map(Map delegate)

### newList

    public static List newList(Object... values)

### newMap

    @SuppressWarnings({"rawtypes", "unchecked"})
    public static Map newMap(Object... keysAndValues)

### newSet

    public static Set newSet(Object... values)

### set

    public static CollectionUtils.SetBuilder set()

### set

    public static CollectionUtils.SetBuilder set(Set delegate)

Groovy Documentation